Index: sandbox/jabberit_messenger/trophy_expresso/js/trophyim.js
===================================================================
--- sandbox/jabberit_messenger/trophy_expresso/js/trophyim.js	(revision 2631)
+++ sandbox/jabberit_messenger/trophy_expresso/js/trophyim.js	(revision 2641)
@@ -132,6 +132,19 @@
 TrophyIM = {
     
+	/** AutoConnection
+	 * 
+	 */	
+		
+	autoConnection : { connect : true },
+		
+	/** PosWindow
+	 * 
+	 */	
 	posWindow : { left : 400, top : 100 },	
 		
+	/** StatusConnection
+	 * 
+	 */
+
 	statusConn : { connected : false },
 	
@@ -196,5 +209,5 @@
         for (var c in cookies)
         {
-            while (cookies[c].charAt(0)==' ')
+        	while ( cookies[c].charAt(0) == ' ')
             { 
                 cookies[c] = cookies[c].substring(1,cookies[c].length);
@@ -226,5 +239,5 @@
 			
 			//Load other .js scripts needed
-			document.getElementsByTagName('head')[0].appendChild(DOMObjects.getScript(path_jabberit + 'strophejs/strophe.js'));
+			document.getElementsByTagName('head')[0].appendChild(DOMObjects.getScript(path_jabberit + 'js/strophe.min.js'));
 			document.getElementsByTagName('head')[0].appendChild(DOMObjects.getScript(path_jabberit + 'js/json2.js')); //Keep this script last
 			//Wait a second to give scripts time to load
@@ -399,10 +412,11 @@
     logout : function()
 	{
-        TrophyIM.delCookie('trophyim_bosh_xid');
+    	TrophyIM.autoConnection.connect = false;
+    	
+    	TrophyIM.delCookie('trophyim_bosh_xid');
         
         delete TrophyIM['cookies']['trophyim_bosh_xid'];
         
         TrophyIM.connection.disconnect();
-        TrophyIM.showLogin();
     },
 	
@@ -435,20 +449,23 @@
 		if( status == Strophe.Status.DISCONNECTED )
 		{
-			TrophyIM.delCookie('trophyim_bosh_xid');
-            
-            TrophyIM.statusConn.connected = false;
-            
-			setTimeout(function()
-			{
-	            TrophyIM.showLogin();
+			if( TrophyIM.autoConnection.connect )
+			{
+				TrophyIM.delCookie('trophyim_bosh_xid');
 	            
-			},10000);
-			
-            loadIM.clrAllContacts();	
-            
-            loadIM.setStatusJabber("Desconectado","unavailable");
-            
-            delete TrophyIM.rosterObj.roster;
-            delete TrophyIM.rosterObj.groups;
+	            TrophyIM.statusConn.connected = false;
+	            
+				setTimeout(function()
+				{
+		            TrophyIM.showLogin();
+		            
+				},10000);
+				
+	            loadIM.clrAllContacts();	
+	            
+	            loadIM.setStatusJabber("Desconectado","unavailable");
+	            
+	            delete TrophyIM.rosterObj.roster;
+	            delete TrophyIM.rosterObj.groups;
+			}
         }
 		
@@ -1218,5 +1235,18 @@
 		if( type != 'status')
 		{
-			TrophyIM.connection.send($pres( ).c('show').t(type).tree());
+			if(type == "unavailable")
+			{
+		    	TrophyIM.autoConnection.connect = false;
+			}
+			else
+			{
+				if( !TrophyIM.autoConnection.connect )
+				{
+					TrophyIM.autoConnection.connect = true;
+					TrophyIM.load();
+				}
+				else
+					TrophyIM.connection.send($pres( ).c('show').t(type).tree());
+			}
 		}
 		else
